package com.red.circle.external.inner.service.message;


import com.red.circle.external.inner.model.dto.AgoraChannelStateDTO;
import java.util.List;

/**
 * 声网.
 *
 * @author pengliang on 2023/7/12
 */
public interface AgoraClientService {

    /**
     * 创建规则
     * @param cname
     * @param uid
     */
    void kickingRule(String cname, String uid);

    /**
     * 查询主播列表
     * @param cname
     * @return
     */
    List<Long> channelHost(String cname);

    /**
     * 查询用户列表
     * @param cname
     * @return
     */
    List<Long> channelUser(String cname);

    /**
     * 查询频道状态.
     *
     * @param cname 频道名
     * @return 频道状态
     */
    AgoraChannelStateDTO channelState(String cname);
}
